Runtime

## org.eclipse.gmf.runtime.emf.core.resources
Interface IResourceHelper

All Superinterfaces:
  org.eclipse.emf.common.notify.Adapter

All Known Implementing Classes:
  ResourceHelperImpl

    public interface IResourceHelper

extends org.eclipse.emf.common.notify.Adapter

Interface of an adapter for `Resource`s that provides services such as creation of objects in that resource. This interface is used by the `EMFCoreUtil` class to implement extensible/overrideable object creation behaviours.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Method Summary
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)` Creates an instance of the specified `EClass` for the intention of attention of attaching it to the resource providing this helper.

Methods inherited from interface org.eclipse.emf.common.notify.Adapter
`getTarget, isAdapterForType, notifyChanged, setTarget`

Method Detail

### create

    org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Creates an instance of the specified `EClass` for the intention of attention of attaching it to the resource providing this helper.

  Parameters:
    `eClass` - the `EClass` to instantiate
  Returns:
    the instance

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.